Goals
GET https://trk.condoo.systems/api/goals/
curl --request GET \
--url 'https://trk.condoo.systems/api/goals/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://trk.condoo.systems/api/goals/' \
--header 'Authorization: Bearer {api_key}' \
| Parameter | Details | Beschreibung |
|---|---|---|
| website_id | Optional (Optional) Ganzzahl | |
| type | Optional (Optional) Zeichenkette | Erlaubte Werte: pageview , custom |
| search | Optional (Optional) Zeichenkette | Die Suchanfrage. |
| search_by | Optional (Optional) Zeichenkette | Nach welchem Feld suchst du? Erlaubte Werte sind: name, path, key. |
| order_by | Optional (Optional) Zeichenkette | Nach welchem Feld sollen die Ergebnisse sortiert werden? Erlaubte Werte sind: goal_id, last_datetime, datetime, name, path, key. |
| order_type | Optional (Optional) Zeichenkette | Die Reihenfolge der Ergebnisse. Erlaubte Werte sind: ASC für aufsteigende Reihenfolge und DESC für absteigende Reihenfolge. |
| page | Optional (Optional) Ganzzahl | Die Seitenzahl, von der du die Ergebnisse möchtest. Standardmäßig ist sie 1. |
| results_per_page | Optional (Optional) Ganzzahl | Wie viele Ergebnisse möchtest du pro Seite? Erlaubte Werte sind: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Standardmäßig ist es 25. |
{
"data": [
{
"id": 1,
"website_id": 1,
"user_id": 1,
"key": "123456789",
"type": "custom",
"path": null,
"name": "Example",
"datetime": "2026-03-21 23:16:14",
"last_datetime": null
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://trk.condoo.systems/api/goals?page=1",
"last": "https://trk.condoo.systems/api/goals?page=1",
"next": null,
"prev": null,
"self": "https://trk.condoo.systems/api/goals?page=1"
}
}
GET https://trk.condoo.systems/api/goals/{goal_id}
curl --request GET \
--url 'https://trk.condoo.systems/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://trk.condoo.systems/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"key": "123456789",
"type": "custom",
"path": null,
"name": "Example",
"datetime": "2026-03-21 23:16:14",
"last_datetime": null
}
}
POST https://trk.condoo.systems/api/goals
| Parameter | Details | Beschreibung |
|---|---|---|
| website_id | Erforderlich Ganzzahl | - |
| type | Erforderlich Zeichenkette | Erlaubte Werte: pageview , custom |
| name | Erforderlich Zeichenkette | - |
| path | Optional (Optional) Zeichenkette | Verfügbar, wenn: type = pageview |
| key | Optional (Optional) Zeichenkette | - |
curl --request POST \
--url 'https://trk.condoo.systems/api/goals' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'chart_datetime=2026-03-21 23:16:14' \
--url 'https://trk.condoo.systems/api/goals' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'chart_datetime=2026-03-21 23:16:14' \
{
"data": {
"id": 1
}
}
POST https://trk.condoo.systems/api/goals/{goal_id}
| Parameter | Details | Beschreibung |
|---|---|---|
| website_id | Optional (Optional) Ganzzahl | - |
| type | Optional (Optional) Zeichenkette | Erlaubte Werte: pageview , custom |
| name | Optional (Optional) Zeichenkette | - |
| path | Optional (Optional) Zeichenkette | Verfügbar, wenn: type = pageview |
| key | Optional (Optional) Zeichenkette | - |
curl --request POST \
--url 'https://trk.condoo.systems/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=0' \
--url 'https://trk.condoo.systems/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://trk.condoo.systems/api/goals/{goal_id}
curl --request DELETE \
--url 'https://trk.condoo.systems/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://trk.condoo.systems/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \